[Ubuntucat-info] problemes amb Gutsy i VMware --abans-- problemes amb

Orestes Mas orestes a tsc.upc.edu
dis mar 8 13:18:37 CET 2008


A Dissabte 08 Març 2008 09:17, Ramon Amblàs va escriure:
> Abans s'ha quedat l'assumpte a mig fer, havia de ser «problemes amb
> Gutsy i VMware»
>
> En/na Ramon Amblàs ha escrit:
> > Hola,
> >
> > Tinc un ordinador amb Gutsy.
> > Vaig instalar el VMware Server 1.0.4  i vaig crear una màquina virtual
> > amb XP, tot em funcionava correctament.
> >
> > No sé què li he fet que ara quan a l'Ubuntu li vull instalar algun
> > paquet em dona errors de VMWare i no sé perquè, jo pensava que el vmware
> > només funcionava quan l'engegava, sembla que sempre està corrent per
> > sota :-(

No "corre per sota", sinó que en arrencar la màquina hi ha un script que 
carrega els mòduls del nucli que VMware necessita per funcionar. Molts 
virtualitzadors (si no tots) fan si fa no fa el mateix.

Ara bé, jo només conec el VMware workstation. No sé què fa el server. Realment 
el necessites?

Si t'ha deixat de funcionar la causa més probable és que en una actualització 
t'hagi canviat el nucli, i que els mòduls antics ja no serveixin.

Normalment Ubuntu porta uns mòduls precompilats per cada nucli, però potser si 
el nou nucli és molt recent, encara no han sortit els mòduls precompilats.

En la versió Workstation podies recompilar els mòduls a "manubri" fent:

sudo vmware-config.pl

Si no ho has fet mai trobaràs que et fa unes preguntes capcioses, però en la 
gran majoria (si no totes) només cal anar apretant "intro" per acceptar les 
opcions per omissió.

I ja posats a donar consells, t'aconsello que abandonis VMware i que usis 
VirtualBox, que és gratuït i també té una versió totalment lliure. Per un ús 
personal va molt bé i dóna molts menys maldecaps que VMware.

Orestes.



Més informació sobre la llista de correu Ubuntucat-info